<?php
/*
Plugin Name: Eps payment
Plugin URI: http://www.leftor.com
Description: Eps - Payment gateway for woocommerce
Version: 2.0.0.
Author: Leftor d.o.o
Author URI: http://www.leftor.com
*/

// Include our Gateway Class and register Payment Gateway with WooCommerce
add_action( 'plugins_loaded', 'woocommerce_eps_init', 0 );
function woocommerce_eps_init() {
	// If the parent WC_Payment_Gateway class doesn't exist
	// it means WooCommerce is not installed on the site
	// so do nothing
	if ( ! class_exists( 'WC_Payment_Gateway' ) ) return;
	
	// If we made it this far, then include our Gateway Class
	include_once( 'class-eps.php' );

	// Now that we have successfully included our class,
	// Lets add it too WooCommerce
	add_filter( 'woocommerce_payment_gateways', 'woocommerce_add_eps_gateway' );
	function woocommerce_add_eps_gateway( $methods ) {
		$methods[] = 'WC_Eps';
		return $methods;
	}
}


// Add custom action links
add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'eps_action_links' );
function eps_action_links( $links ) {
	$plugin_links = array(
		'<a href="' . admin_url( 'admin.php?page=wc-settings&tab=checkout&section=wc_eps' ) . '">' . __( 'Settings', 'eps' ) . '</a>',
	);

	// Merge our new link with the default ones
	return array_merge( $plugin_links, $links );	
}